home = value("USERPROFILE", ,"ENVIRONMENT")  -- environment variable USERPROFILE
say "User's home directory:" home
user = value("USERNAME"   , ,"ENVIRONMENT")  -- environment variable USERPROFILE
say "User name            :" user
say
say "Current directory    :" directory()     -- Rexx-BIF (built-in-function)
say "Temp directory       :" value("TEMP", ,"ENVIRONMENT")
say "---"

say
say "Rexx' PARSE SOURCE yields:"
PARSE SOURCE opsys invocationType path2thisProgram
say "Operating system     :" opsys
say "Invoked as           :" invocationType
say "path2thisProgram     :" path2thisProgram
say "   location of pat...:" filespec("location", path2thisProgram)
say "   name of path2th...:" filespec("name"    , path2thisProgram)
say "   drive of path2t...:" filespec("drive"   , path2thisProgram)
say "---"
say

say "Using Java's information (for all operating systems):"
say
say "User's home directory:" .java.lang.System~getProperty("user.home")
say "User name            :" .java.lang.System~getProperty("user.name")
say
say "Current directory    :" .java.lang.System~getProperty("user.dir")
say "Temp directory       :" .java.lang.System~getProperty("java.io.tmpdir")

::requires BSF.CLS   -- get ooRexx-Java bridge

/* if running from "G:\test" yields:

   G:\test>e:verzeichnisse.rex
   User's home directory: C:\Users\Administrator
   User name            : Administrator

   Current directory    : G:\test
   Temp directory       : C:\Users\ADMINI~1\AppData\Local\Temp
   ---

   Rexx' PARSE SOURCE yields:
   Operating system     : WindowsNT
   Invoked as           : COMMAND
   path2thisProgram     : E:\WU\Lehrveranstaltungen\BP4all_WU\2022s\projekte\g03\verzeichnisse.rex
      location of pat...: E:\WU\Lehrveranstaltungen\BP4all_WU\2022s\projekte\g03\
      name of path2th...: verzeichnisse.rex
      drive of path2t...: E:
   ---

   Using Java's information (for all operating systems):

   User's home directory: C:\Users\Administrator
   User name            : Administrator

   Current directory    : G:\test
   Temp directory       : C:\Users\ADMINI~1\AppData\Local\Temp\

*/
